> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/getting-started/start-using-residential-proxies.md).

# Start using Residential Proxies

Learn how to start using Residential Proxies for geo-targeted scraping without blocks.

To start using Residential Proxies, register an account on [Oxylabs Dashboard](https://dashboard.oxylabs.io/en/), choose a plan, and create an instance.

### Make a cURL request <a href="#h_76ad246952" id="h_76ad246952"></a>

After creating an instance, a pop-up window will appear with a cURL example to copy:

```
curl 'https://ip.oxylabs.io/location' -U 'customer-USERNAME:PASSWORD' -x 'pr.oxylabs.io:7777' 
```

Replace the `USERNAME` and `PASSWORD` with the instance credentials you’ve just created.\
Paste the code [into your terminal](https://oxylabs.io/resources/integrations/terminal) (or any other setup you're using), and run the command – the response is a Residential IP address.

See this video guide for a quick overview:

{% embed url="<https://www.youtube.com/embed/i0zbReBVjoQ?rel=0>" %}

{% hint style="info" %}
The video was recorded using a previous version of the dashboard. An updated version is coming soon. Check our [documentation](https://developers.oxylabs.io/products/proxies/residential-proxies) for extensive information about setup, including location parameters, entry nodes, response codes, and more.
{% endhint %}

### Location and session parameters <a href="#h_fae179e0e7" id="h_fae179e0e7"></a>

For [location settings](/products/proxies/residential-proxies/location-settings.md), such as connecting to a specific country and city, refer to the pages below.

All of these geo-targeting options are free of charge:

* Continent
* Country
* City
* State
* ZIP/Postal code
* Coordinate
* ASN Targeting

If you want to extend your session time with a particular IP address, refer to the [Session Control](/products/proxies/residential-proxies/session-control.md) page.

### Supported protocols <a href="#docs-internal-guid-426c9792-7fff-b353-0235-f90f92ec8fbb" id="docs-internal-guid-426c9792-7fff-b353-0235-f90f92ec8fbb"></a>

Oxylabs Residential Proxies support multiple transport protocols to fit your application's requirements:

<table data-header-hidden><thead><tr><th width="172"></th><th></th></tr></thead><tbody><tr><td><code>HTTP</code> &#x26; <code>HTTPS</code></td><td>Standard <code>TCP</code> proxy connections for web scraping (<code>pr.oxylabs.io:7777</code>).</td></tr><tr><td><code>SOCKS5</code></td><td>Flexible <code>TCP</code>/<code>UDP</code> connections for lower-level network connections or dedicated proxy software.</td></tr><tr><td><code>HTTP/3</code> (MASQUE)</td><td>Native <code>QUIC</code> over <code>UDP</code> (<code>masque.oxylabs.io:50000</code>) designed to match modern browser fingerprints on <code>HTTP/3</code> targets and prevent protocol downgrades.</td></tr></tbody></table>

For detailed entry node setups and protocol rules, visit the [Protocols](/products/proxies/residential-proxies/protocols.md) page or explore the [MASQUE Integration Guide](/products/proxies/residential-proxies/protocols.md#http-3).

### Advanced filtering

Residential Proxies now also support advanced filtering parameters:

* [IP version selection](https://app.gitbook.com/s/BQ7Zf9paoN3FTeGcyfY1/proxies/residential-proxies/advanced-filters/ip-version) – allows selecting one specific IP version, either IPv4 or IPv6.
* [Platform / OS filtering](https://app.gitbook.com/s/BQ7Zf9paoN3FTeGcyfY1/proxies/residential-proxies/advanced-filters/platform-os) – allows filtering proxies by operating system, including Windows, macOS, Android, iOS, and Linux.

Advanced filtering is intended to create more consistent and realistic traffic patterns, reduce fingerprint mismatches, and improve success rates on heavily protected websites. Minimizing technical discrepancies helps ensure you don’t run into issues that could otherwise lead to blocks.

{% hint style="info" %}
Enabling advanced filtering may require a short KYC verification process.
{% endhint %}

### Integration guides <a href="#h_df539c4d9b" id="h_df539c4d9b"></a>

If you’re planning to use a proxy manager or other third-party applications, refer to [integrations page](https://app.gitbook.com/s/U4lV7kLC2Df45W0aLQlX/proxy-integrations/residential-proxies-guides), where you’ll find step-by-step guides on how to configure Residential Proxies with the most popular applications.

### Endpoint generator <a href="#h_0d1c93016d" id="h_0d1c93016d"></a>

With the endpoint generator, you can easily create and retrieve a list of endpoints by choosing the parameters you need.

Refer to the instructions highlighted on the [Endpoint Generator](/products/proxies/residential-proxies/endpoint-generator.md) documentation page.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/help-center/getting-started/start-using-residential-proxies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
